E-MailRelay

Classes | Namespaces
gpam.h File Reference
`#include "gdef.h"`
`#include "gstr.h"`
`#include "gexception.h"`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | G::Pam
| A thin interface to the system PAM library, with two pure virtual methods that derived classes should implement: the converse() method supplies passwords etc. More...
struct | G::Pam::Item
| A structure used by G::Pam to hold conversation items. More...
class | G::Pam::Error
| An exception class for G::Pam. More...

## Namespaces
namespace | G
| Low-level classes.